# Uses of Enum
org.eclipse.microprofile.openapi.models.headers.Header.Style

Packages that use Header.Style
Package
Description
org.eclipse.microprofile.openapi.models.headers
An interface of a programmable model to represent a single header object.

## Uses of Header.Style in org.eclipse.microprofile.openapi.models.headers

Methods in org.eclipse.microprofile.openapi.models.headers that return Header.Style
Modifier and Type
Method
Description
`Header.Style`
Header.`getStyle()`
Returns the style property from a Header instance.
`static Header.Style`
Header.Style.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Header.Style[]`
Header.Style.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.openapi.models.headers with parameters of type Header.Style
Modifier and Type
Method
Description
`void`
Header.`setStyle(Header.Style style)`
Sets this Header's style property to the given style.
`default Header`
Header.`style(Header.Style style)`
Sets this Header's style property to the given style.